com.impinj.octane

## Class AutoStartConfig

- java.lang.Object
- - com.impinj.octane.AutoStartConfig

-     public class AutoStartConfig
      extends java.lang.Object

  The ImpinjReader can be configured to start inventory automatically based on several inputs including General purpose input (GPI) and time. This class holds the configuration for the Auto start feature.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AutoStartConfig()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `long` | `getFirstDelayInMs()` Not implemented
    `java.lang.Boolean` | `getGpiLevel()`
    `int` | `getGpiPortNumber()`
    `AutoStartMode` | `getMode()`
    `long` | `getPeriodInMs()` When using the periodic autostart trigger, the reader will initiate inventory periodically.
    `long` | `getUtcTimestamp()` Get the UTC timestamp that establishes the zero time for autostart periodic mode timers.
    `void` | `setFirstDelayInMs(long firstDelayInMs)`
    `void` | `setGpiLevel(java.lang.Boolean gpiLevel)`
    `void` | `setGpiPortNumber(int gpiPortNumber)`
    `void` | `setMode(AutoStartMode mode)`
    `void` | `setPeriodInMs(long periodInMs)` When using the periodic autostart trigger, the reader will initiate inventory periodically.
    `void` | `setUtcTimestamp(long utcTimestamp)` Set the UTC timestamp that establishes the zero time for autostart periodic mode timers.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AutoStartConfig

          public AutoStartConfig()

  - ### Method Detail

    - #### getMode

          public AutoStartMode getMode()

      Returns:
        the current autostart mode

    - #### setMode

          public void setMode(AutoStartMode mode)

      Parameters:
        `mode` - the desired auto-start mode

    - #### getGpiPortNumber

          public int getGpiPortNumber()

      Returns:
        the GPI port number used if the auto-start mode uses GPI

    - #### setGpiPortNumber

          public void setGpiPortNumber(int gpiPortNumber)

      Parameters:
        `gpiPortNumber` - the desired GPI port number when using a GPI based auto start mode

    - #### getGpiLevel

          public java.lang.Boolean getGpiLevel()

      Returns:
        the GPI level used if the auto start mode uses GPI

    - #### setGpiLevel

          public void setGpiLevel(java.lang.Boolean gpiLevel)

      Parameters:
        `gpiLevel` - the desired GPI level when using a GPI based auto start mode

    - #### getFirstDelayInMs

          public long getFirstDelayInMs()

      Not implemented
      Returns:
        the intial delay for auto start which applies when using periodic auto start.

    - #### setFirstDelayInMs

          public void setFirstDelayInMs(long firstDelayInMs)

      Parameters:
        `firstDelayInMs` - sets the initial delay for auto start which applies when using periodic auto start.

    - #### getPeriodInMs

          public long getPeriodInMs()

      When using the periodic autostart trigger, the reader will initiate inventory periodically. the time between this is called the PeriodInMs. (milliseconds)
      Returns:
        the period between start triggers which applies when auto start is using a periodic trigger

    - #### setPeriodInMs

          public void setPeriodInMs(long periodInMs)

      When using the periodic autostart trigger, the reader will initiate inventory periodically. the time between this is called the PeriodInMs. (milliseconds)
      Parameters:
        `periodInMs` - the period between start triggers which applies when auto start is using a periodic trigger

    - #### getUtcTimestamp

          public long getUtcTimestamp()

      Get the UTC timestamp that establishes the zero time for autostart periodic mode timers. If a UTC time is specified, then the first start time is determined as (UTC time + offset). Otherwise, the first start time is determined as (time of message receipt + offset). Subsequent start times = first start time + k * period (where, k greater than 0)
      Returns:
        the UTC timestamp

    - #### setUtcTimestamp

          public void setUtcTimestamp(long utcTimestamp)

      Set the UTC timestamp that establishes the zero time for autostart periodic mode timers. If a UTC time is specified, then the first start time is determined as (UTC time + offset). Otherwise, the first start time is determined as (time of message receipt + offset). Subsequent start times = first start time + k * period (where, k greater than 0)
      Parameters:
        `utcTimestamp` - the UTC timestamp to set.